org.yaml.snakeyaml.nodes

## Class Tag

- java.lang.Object
- - org.yaml.snakeyaml.nodes.Tag

    public final class Tag
    extends Object

### Field Summary

Fields
`static Tag` `BINARY`
`static Tag` `BOOL`
`static Tag` `COMMENT`
`protected static Map<Tag,Set<Class<?>>>` `COMPATIBILITY_MAP`
`static Tag` `FLOAT`
`static Tag` `INT`
`static Tag` `MAP`
`static Tag` `MERGE`
`static Tag` `NULL`
`static Tag` `OMAP`
`static Tag` `PAIRS`
`static String` `PREFIX`
`static Tag` `SEQ`
`static Tag` `SET`
`static Tag` `STR`
`static Tag` `TIMESTAMP`
`static Tag` `YAML`

### Constructor Summary

Constructors
Constructor and Description
`Tag(Class<? extends Object> clazz)`
`Tag(String tag)`
`Tag(URI uri)` Deprecated. - it will be removed

### Method Summary

Methods
`boolean` `equals(Object obj)`
`String` `getClassName()`
`String` `getValue()`
`int` `hashCode()`
`boolean` `isCompatible(Class<?> clazz)` Java has more then 1 class compatible with a language-independent tag (!!int, !!float, !!timestamp etc)
`boolean` `isSecondary()`
`boolean` `matches(Class<? extends Object> clazz)` Check whether this tag matches the global tag for the Class
`boolean` `startsWith(String prefix)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PREFIX

    public static final String PREFIX

See Also:
  Constant Field Values

#### YAML

    public static final Tag YAML

#### MERGE

    public static final Tag MERGE

#### SET

    public static final Tag SET

#### PAIRS

    public static final Tag PAIRS

#### OMAP

    public static final Tag OMAP

#### BINARY

    public static final Tag BINARY

#### INT

    public static final Tag INT

#### FLOAT

    public static final Tag FLOAT

#### TIMESTAMP

    public static final Tag TIMESTAMP

#### BOOL

    public static final Tag BOOL

#### NULL

    public static final Tag NULL

#### STR

    public static final Tag STR

#### SEQ

    public static final Tag SEQ

#### MAP

    public static final Tag MAP

#### COMMENT

    public static final Tag COMMENT

#### COMPATIBILITY_MAP

    protected static final Map<Tag,Set<Class<?>>> COMPATIBILITY_MAP

### Constructor Detail

#### Tag

    public Tag(String tag)

#### Tag

    public Tag(Class<? extends Object> clazz)

#### Tag

    public Tag(URI uri)

Deprecated. - it will be removed

Parameters:
  `uri` - - URI to be encoded as tag value

### Method Detail

#### isSecondary

    public boolean isSecondary()

#### getValue

    public String getValue()

#### startsWith

    public boolean startsWith(String prefix)

#### getClassName

    public String getClassName()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### isCompatible

    public boolean isCompatible(Class<?> clazz)

Java has more then 1 class compatible with a language-independent tag (!!int, !!float, !!timestamp etc)

Parameters:
  `clazz` - - Class to check compatibility
Returns:
  true when the Class can be represented by this language-independent tag

#### matches

    public boolean matches(Class<? extends Object> clazz)

Check whether this tag matches the global tag for the Class

Parameters:
  `clazz` - - Class to check
Returns:
  true when the this tag can be used as a global tag for the Class